
Installer - Feature #26103

ensure the hostname of the machine didn't change between installer runs

02/21/2019 10:13 AM - Evgeni Golov

Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-kat

ello/pull/280,

https://github.com/theforeman/puppet-pul

p/pull/358

  

Description

The installer modules use the $fqdn fact in many places, esp also when generating certificates and stuff.

Sometimes, the user would change the hostname of the machine where Foreman/Katello/Proxy is installed which might lead to

problems because the installer will try to create new certificates which might not be desired.

I think the installer should check that the current value of $fqdn matches what is in the answers already and warn the user about the

situation.

This could be implemented as a pre-hook.

Related issues:

Blocked by Installer - Feature #31509: Allow changing some Foreman Proxy and ... Closed

Associated revisions

Revision a0614a4e - 02/21/2019 12:17 PM - Ewoud Kohl van Wijngaarden

Refs #26103 - Make the crane server name configurable

Revision 4b185f65 - 02/26/2019 01:09 AM - Ewoud Kohl van Wijngaarden

Refs #26103 - Set the pulp server_name

Pulp's server config has a setting for the server name. We should match

this to the name we use on the vhost. Currently that's tied to the

Foreman vhost so we can make that explicit here.

History

#1 - 02/21/2019 12:08 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-katello/pull/280 added

#2 - 02/21/2019 12:16 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-pulp/pull/358 added

#3 - 04/11/2019 04:07 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to New

- Assignee deleted (Ewoud Kohl van Wijngaarden)

Setting back to new since this isn't fully solved yet.
#4 - 05/14/2020 01:48 PM - Zach Huntington-Meath

- Triaged changed from No to Yes

#5 - 12/14/2020 06:39 PM - Ewoud Kohl van Wijngaarden

- Blocked by Feature #31509: Allow changing some Foreman Proxy and Apache hostnames on Katello-based certificates added

Powered by TCPDF (www.tcpdf.org)

05/20/2024 2/2

http://www.tcpdf.org

